<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.szxc.mapper.SzxcLunboMapper">
    
    <resultMap type="SzxcLunbo" id="SzxcLunboResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="picture"    column="picture"    />
        <result property="content"    column="content"    />
        <result property="remark"    column="remark"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectSzxcLunboVo">
        select id, title, picture, content, remark, create_by, create_time, update_by, update_time from szxc_lunbo
    </sql>

    <select id="selectSzxcLunboList" parameterType="SzxcLunbo" resultMap="SzxcLunboResult">
        <include refid="selectSzxcLunboVo"/>
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="picture != null  and picture != ''"> and picture = #{picture}</if>
            <if test="content != null  and content != ''"> and content = #{content}</if>
        </where>
    </select>
    
    <select id="selectSzxcLunboById" parameterType="Long" resultMap="SzxcLunboResult">
        <include refid="selectSzxcLunboVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertSzxcLunbo" parameterType="SzxcLunbo" useGeneratedKeys="true" keyProperty="id">
        insert into szxc_lunbo
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null">title,</if>
            <if test="picture != null">picture,</if>
            <if test="content != null">content,</if>
            <if test="remark != null">remark,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null">#{title},</if>
            <if test="picture != null">#{picture},</if>
            <if test="content != null">#{content},</if>
            <if test="remark != null">#{remark},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateSzxcLunbo" parameterType="SzxcLunbo">
        update szxc_lunbo
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null">title = #{title},</if>
            <if test="picture != null">picture = #{picture},</if>
            <if test="content != null">content = #{content},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSzxcLunboById" parameterType="Long">
        delete from szxc_lunbo where id = #{id}
    </delete>

    <delete id="deleteSzxcLunboByIds" parameterType="String">
        delete from szxc_lunbo where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>